Subject: Summary: Combinatorial Chemistry Software

From: Herbert Koeppen <[email-masked]>
Date: 20 Jul 95 13:01:34 EDT

Dear Netters,

recently I asked 

> is anybody aware of or has experience with software
> for planning a combinatorial chemistry library? Many 
> people in this field claim that the library should be
> most diverse - however what diversity means isn't quite
> clear. Software of that kind should be able to analyze
> the similarity of the members of a planned library, e.g.
> by generating a "virtual" library and analyzing the
> molecular properties, e.g. shape or lipophilicity, of
> the members of that library. 

> Is anybody aware of an email list or newsgroup
> devoted to combinatorial chemistry? There are 
> computational aspects involved as just mentioned
> but as well aspects of synthetic chemistry or automation
> which should not be discussed here in this list.

Thanks to all who answered that mail! I got several interesting
hints and will answer some mails more specifically. Since I will
be abroad for the next few weeks I have to postpone personal
mails until I'll be back in my office again. 

Here is the summary of the mails I got:
---------------------------------------------------------------------
I am not sure how pertinent Spartan V4.0 would be, but it contains
recently developed code for similarity analysis and superpositioning (along
with various other QSAR descriptors).  Comb. Chemistry is an area I/we are
interested in (there's a whole day of it at the QSAR Gordon conf)...  Have you
seen Spartan V4?

Joe
------------------------------------------------------------------------
Joe Leonard
[email-masked]
---------------------------------------------------------------------------------
---------

The answer to your question depends, to some extent, on
how the "virtual library" is being generated.  There are
basically two cases:

Case 1:  The library will consist of "products" each of which 
results from the combination of two (or more) "reactants."
Tripos' Legion software is a good example of software for
the combinatorial reaction of reactants to form such
libraries of products.  An easy method for obtaining a
diverse library of products is to perform a similarity-based
diverse selection of reactants prior to the combinatorial
"reaction" process.  The Tripos Selector software provides
various mechanisms for diverse selection from sets of
reactants (or products) containing modest numbers (~10-20K)
of compounds.

Case 2:  The library will consist of compounds which were
NOT generated from lists of reactants.  Examples of such
libraries include compilations of existing databases and
output from "de novo" programs.  Assuming that you are 
talking about fairly large libraries (100K and up), diverse 
selection algorithms based on pairwise similarity are
obviously less useful.  We have developed and tested
robust and highly efficient software for the selection
of diverse subsets from very large libraries.  This 
software could utilize any of the familiar molecular 
descriptors (lipophilicity, etc) but we have also
developed novel, structure-based descriptors which appear
to offer significant advantages.

I'd be glad to discuss this further if you so desire.

 -- Bob Pearlman ([email-masked])
---------------------------------------------------------------------------------

This is *THE* hot topic for software developers right now. Almost all the
scientific modeling software houses have jumped on the band-wagon,
(Tripos, MDL, Daylight, Biosym). Some have stuff for sale now, others are 
in development mode.

> Is anybode aware of an email list or newsgroup
> devoted to combinatorial chemistry? 

Check out the Network Science online newsletter for this month.

The URL is:  http://www.awod.com/netsci

This month is all about Combinatorial Chem and Diversity. Also in the 
newsletter are descriptions of software offerings from several vendors.

Gregory L. Durst                  
email:   [email-masked]      
---------------------------------------------------------------------------------
-------------

There are three companies right now that have good tools
for combinatorial chemistry. Those are (not in any order
of preference) Tripo, MSI and Daylight.

Daylight offers its suite of software tools based on its
"fingerprint" of molecules. You doo need either a statistician, or
someone adept in clustering and representations of clusters
to get full advantage of their software (Daylight is the
acme (ie, best) of chemometric software!)

Tripos and MSI do have competing packages for the design/analysis
of combinatorial libraries. I have heard that they both are competitive
in terms of what they offer (builders, database management tools, and
their own flavors of descriptors/clustering tools).

The advantage to these companies is that they offer complete solutions
to modelling problems. Which one is better, well...time will tell!
There is a molecular diversity mailgroup - if you post to 
[email-masked] they will tell you how to get
on the mailing list.

* Mark A. Zottola 
* [email-masked]  

---------------------------------------------------------------------------------
---

You may want to check http://palms.awod.com/netsci.  It contains a number of
good articles on combichem, as well as some information on available software
packages.  There is a MOL-DIVERSITY listserver.  You can send a message to
[email-masked] with a message SUBSCRIBE MOL-DIVERSITY <name>.

Cheers...Osman
-------------------------------------------------
Osman F. Guner, PhD,  [email-masked]
---------------------------------------------------------------------------------
----------

There is a newsgroup on combinatorial chemistry. If noone else sends
the information to you, I will hunt up the information.

It sounds as if you should look at Tripos Legion & Selector. They
use the Sybyl spreadsheet to analyze data. That's the only one that
I know is tied into modeling programs.

We will probably use MDL project planner to enumerate the library
and export an SD file to be used in Sybyl.

 Yvonne Martin     [email-masked]
---------------------------------------------------------------------------------
--------------

First the easy question.  Yes, there is a
combinatorial chemistry news group run by Zhan G. Zhao
at [email-masked].  You can sign up at
[email-masked]. There is also a
dedicated journal, "Molecular Diversity" which
publishes its abstracts on-line, as well as literature
and patent refs., symposium announcements, etc. at
http://vesta.pd.com/.

Yes, Tripos and Chemical Design have combinatorial
library design software, and some companies like
Chiron and Arris have proprietary software.  I assume
from your message you want an unbiased screening
library (not focused toward a particular target).
Here are a few things to consider:

While it is possible to generate a "virtual library"
and select a subset with maximum "diversity", this is
usually not the best approach (imho).  Assuming a
combinatorial library is based on modular chemistry,
the alternative is to pick a diverse set of modules
(read side-chains, substituents, or reagents), and
assume the resulting library will be diverse.  "BUT
WAIT", you cry, "how can you make such a brash
assumption"?  Well, first of all, if your library will
be all combinations of the selected starting materials
at each position, that is a full-factorial design
which implies good coverage of inter-site substituent
space.  I.e., the assumption is probably not bad.

Second, if the chemistry is at all flexible, there
should be from 100 to 1,000 possible reagents at each
of at 3 or 4 sites of diversity.  If there are not,
it's probably not worth the bother of a design.  This
yields from 10^6 to 10^12 candidate compounds in the
"virtual library", with from 5*10^11 to 5*10^23 pair
wise similarities.  Remembering that there are fewer
than 10^5 seconds in a day, that doesn't leave time
for each property calculation or similarity measure on
the virtual library.  Thus, one is faced with dilemma,
"Should I base my design on a trivially simplistic
chemical property or similarity calculation in order
to avoid the assumption that diverse side-chains yield
diverse libraries, or should I tolerate that
assumption, and try to do the most sophisticated
property calculation I can"?  Needless to say, I
choose the latter.

Third, even if you could calculate meaningful
properties on the entire virtual library, you must
then choose a COMBINATORIAL subset.  I.e. the final
design is not just the subset of compounds that
maximizes the diversity, but the best subset that can
be made from all combinations of some small sets of
reagents.  This is a tricky constraint, and I'm not
aware of any good solutions.

Fourth, while there are many ways to define diversity,
it seems that any method should minimize redundancy
and maximize the even, balanced coverage of all
relevant molecular properties.  (I prefer D-optimal
design).  This is greatly facilitated if the compounds
can be embedded into a "property space", i.e. assigned
Cartesian coordinates, but many useful diversity
calculations just yield similarities, not properties.
Similarities can easily be converted to coordinates
using multidimensional scaling for 2,000 candidate
side-chains, but not for a virtual library of 10^9
candidate molecules.

Finally, the experimental design MUST augment, not
supplant, the knowledge and intuition of experienced
medicinal chemists who can suggest pharmacophoric
groups, evaluate synthetic feasibility, eliminate
toxiphores, suggest pro-drug surrogates, etc.  Thus,
the design should allow bias, such as at least so many
side-chains from a "drug like" set, at most so many
that will require protection chemistry, etc.  Also,
the actual compound selection should be performed
interactively with the medicinal chemist, so it should
be very fast, preferably a few minutes or less per
design cycle.  Again, this is possible for thousands
of side-chains but not for millions of assembled
virtual molecules.

A system based on this philosophy is described in:
Measuring Diversity: Experimental Design of
Combinatorial Libraries for Drug Discovery., Martin,
EJ, Blaney, JM, Siani, MA, Spellmeyer, DC, Wong, AK,
Moos, WH, J. Med. Chem, 38(9), 1431, (1995).

Eric Martin
[email-masked]

---------------------------------------------------------------------------------
---------

Tripos, Inc. has a suite of software tools called the Molecular Diversity
Manager, which does precisely what you requested.  The complete package
is composed of three modules, UNITY, Legion, and Selector.

UNITY is Tripos' program for database storage, searching, and retrieval
providing substructure, 2D, 3D, and 3D flexible searching.  It is also
capable of storing combinatorial libraries of compounds without explicitly
exploding them into their individual members.  Additionally, one can
search such  combinatorial databases in 2D without exploding the
library.  Tripos's proprietary "Sybyl Line Notation" (SLN) and 
combinatorial SLN (cSLN) allows us to do this efficiently and with
minimal storage requirements.

The Legion component provides the scientist with a user-friendly interface
for building virtual combinatorial libraries.  One can do this in either
a product mode, where one simply identifies the variation sites and
variation lists on a product core, or in a reactant-based mode where
one takes a list of reagents and defines the mappings of substituents
to the product core.  The program is highly flexible, allowing for mono-,
di-, and tri-valent substituents, as well as variations within variations.
In addition to creating a UNITY database of the library, one can explode
it into our unique Molecular Spreadsheet for further analysis using 
SYBYL, or visualize the structures in 2D or 3D.

Selector provides tools for identifying moleclular diversity using a
number of Tripos provided metrics such as 2D and 3D fingerprints,
cLOGP and cMR, HDi 2D descriptors, Tripos's proprietary 3D CoMFA
field descriptors, plus the open architechture to add any metric of
your own.  The software supports a variety of clustering techniques
such as hierarchical, Jarvis-Patrick, and reciprocal nearest neighbors.
Selector also provides tools for quickly selecting the set of N most
diverse compounds from a library or the N compounds most similar to
some reference structure.  There is also a database comparision function
to compare how similar two databases are to each other or to assess the
internal diversity (redundancy) within a database.

Scott A. DePriest, Ph.D.
e-mail:      [email-masked]

-------------------------------------------------------------------------------

Wir arbeiten z.Z. an Verfahren, sowohl die Diversitaet einer chem. Bibliothek,
als auch die Aehnlichkeit verschiedener Bibliotheken abzuschaetzen.
Die einzelnen Verbindungen der Bibliotheken werden durch einen Deskriptor
beschrieben, der auf der  Verteilung von Eigenschaften (z.B. ESP) auf
der Molekueloberflaeche beruht. Welche Eigenschaft verwendet wird, kann
sehr leicht an das anstehende Problem angepasst werden (z.B. Lipophilie-
Potential).

Im Rahmen der "2nd European Conference on High Throughput Screening
and on Exploiting Molecular Diversity", die vom 17.5. - 20.5.95
in Budapest stattfand, habe diese Arbeiten vorgestellt. Der Titel des
Vortrags lautete: "Assessing Combinatorial Libraries by Spatial
Autocorrelation Functions and Neural Networks". Wenn Sie wollen,
kann ich Ihnen gerne ein Exemplar der Folien zuschicken, die ich
dort verwendet habe.

Dr. Markus Wagener
Email:   [email-masked]
+-----------------------------------------------------------------------------+

--------------- Herbert Koeppen, Boehringer Ingelheim KG, Medicinal Chemistry
Dept. -----
--------------- D-55216 Ingelheim, Germany, e-mail [email-masked]
-------